check_range.hpp File Reference
`#include <stan/math/prim/scal/err/out_of_range.hpp>`
`#include <stan/math/prim/mat/meta/index_type.hpp>`
`#include <stan/math/prim/scal/meta/error_index.hpp>`
`#include <sstream>`
`#include <string>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

void | stan::math::check_range (const char *function, const char *name, int max, int index, int nested_level, const char *error_msg)
| Check if specified index is within range. More...
void | stan::math::check_range (const char *function, const char *name, int max, int index, const char *error_msg)
| Check if specified index is within range. More...
void | stan::math::check_range (const char *function, const char *name, int max, int index)
| Check if specified index is within range. More...

[ Stan Home Page ] © 2011–2016, Stan Development Team.